### Function

# Vips StopFn

#### Declaration

    int
    (* VipsStopFn) (
      void* seq,
      void* a,
      void* b
    )

#### Description [src]

Stop a processing sequence. This frees per-thread state, such as an input region.

See also

`vips_stop_one()`, `vips_stop_many()`.

#### Parameters

`seq`

  Type: `void*`

  Sequence value.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`a`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`b`

  Type: `void*`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `int`

0 on success, -1 on error.